{% extends 'pathotrack/layout/base.html' %}

{% block top-menu %}{% endblock top-menu %}

{% block content %}

<div class="box">
  <div class="page-header">
    <div class="row align-items-center">
      <div class="col-auto">
        <h2 class="page-title">Report</h2>
      </div>

      <div class="col-auto ml-auto d-print-none">
        <form method="POST">
          {% csrf_token %}

          <button class="btn btn-info" type="submit" name="submit" value="report-list">
            <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-file-text" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="#ffffff" fill="none" stroke-linecap="round" stroke-linejoin="round">
              <path stroke="none" d="M0 0h24v24H0z"></path>
              <path d="M14 3v4a1 1 0 0 0 1 1h4"></path>
              <path d="M17 21h-10a2 2 0 0 1 -2 -2v-14a2 2 0 0 1 2 -2h7l5 5v11a2 2 0 0 1 -2 2z"></path>
              <line x1="9" y1="9" x2="10" y2="9"></line>
              <line x1="9" y1="13" x2="15" y2="13"></line>
              <line x1="9" y1="17" x2="15" y2="17"></line>
            </svg>
            Reports List
          </button>

          <button class="btn btn-info ml-1" type="submit" name="submit" value="patient-list">
            <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-users" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="#ffffff" fill="none" stroke-linecap="round" stroke-linejoin="round">
              <path stroke="none" d="M0 0h24v24H0z"></path>
              <circle cx="9" cy="7" r="4"></circle>
              <path d="M3 21v-2a4 4 0 0 1 4 -4h4a4 4 0 0 1 4 4v2"></path>
              <path d="M16 3.13a4 4 0 0 1 0 7.75"></path>
              <path d="M21 21v-2a4 4 0 0 0 -3 -3.85"></path>
            </svg>
            Patients List
          </button>
        </form>
      </div>
    </div>
  </div>

  <div class="card">
    <div class="card-header">
      <h3 class="card-title">Patient Details</h3>
    </div>

    <div class="table-responsive">
      <table class="table table-striped table-vcenter card-table">
        <tbody>
          {% with patient=initial_data.patient_id %}
          <tr>
            <th scope="row">Name (Age/Sex)</th>
            <td>
              {{ patient.get_patient_title_display }}. {{ patient.patient_name | capfirst }}
              <small>
                (
                {% if patient.patient_age %}
                {{ patient.patient_age }} /
                {% endif %}
                {{ patient.patient_sex }}
                )
              </small>
            </td>

            <th scope="row">UID</th>
            <td>
              {{ patient.patient_uid }}
            </td>
          </tr>

          <tr>
            <th socpe="row">Date of birth</th>
            <td>
              {% if patient.patient_dob %}
              {{ patient.patient_dob | date:"M d, Y" }}
              <small>({{ patient.patient_dob | date:"d/m/Y" }})</small>
              {% endif %}
            </td>

            <th scope="row">Registration date</th>
            <td>
              {% if patient.patient_reg_date %}
              {{ patient.patient_reg_date | date:"M d, Y" }}
              <small>({{ patient.patient_reg_date | date:"d/m/Y" }})</small>
              {% endif %}
            </td>
          </tr>

          <tr>
            <th scope="row">Address</th>
            <td>
              {{ patient.patient_address1 | default_if_none:"" }}
              {% if patient.patient_address2 %}
              , {{ patient.patient_address2 }}
              {% endif %}
              <br>
              {{ patient.patient_city | default_if_none:"" }}
              , {{ patient.patient_district }}
              , {{ patient.patient_state }}
            </td>

            <th socpe="row">Phone</th>
            <td>
              {{ patient.patient_phone | default_if_none:"" }}
              {% if patient.patient_phone2 %}
              ,<br>
              {{ patient.patient_phone2 }}
              {% endif %}
            </td>
          </tr>

          <tr>
            <th socpe="row">Email</th>
            <td colspan="3">
              {{ patient.patient_email | default_if_none:"" }}
            </td>
          </tr>
        </tbody>
        {% endwith %}
      </table>
    </div>

    <div class="card-footer">
      <form method="POST">
        {% csrf_token %}
        <input type="hidden" name="patient_id" value={{ patient.id }}>

        <span class="d-flex">
          <button class="btn btn-warning ml-auto" type="submit" name="submit" value="patient-edit">
            <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-edit" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
              <path stroke="none" d="M0 0h24v24H0z"/>
              <path d="M9 7 h-3a2 2 0 0 0 -2 2v9a2 2 0 0 0 2 2h9a2 2 0 0 0 2 -2v-3" />
              <path d="M9 15h3l8.5 -8.5a1.5 1.5 0 0 0 -3 -3l-8.5 8.5v3" />
              <line x1="16" y1="5" x2="19" y2="8" />
            </svg>
            Edit
          </button>
        </span>
      </form>
    </div>
  </div>
</div>

<div class="card">
  <div class="card-header">
    <h2 class="card-title">Pathology Report</h2>

    <span class="ml-auto">
      <form method="POST">
        {% csrf_token %}

        <button class="btn btn-primary ml-auto" type="submit" name="submit" value="report-print">
          <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-printer" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
            <path stroke="none" d="M0 0h24v24H0z"/>
            <path d="M17 17h2a2 2 0 0 0 2 -2v-4a2 2 0 0 0 -2 -2h-14a2 2 0 0 0 -2 2v4a2 2 0 0 0 2 2h2" />
            <path d="M17 9v-4a2 2 0 0 0 -2 -2h-6a2 2 0 0 0 -2 2v4" />
            <rect x="7" y="13" width="10" height="8" rx="2" />
          </svg>
          Print Preview

        </button>

        <button class="btn btn-primary ml-1" type="submit" name="submit" value="report-download">
          <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-file-download" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
            <path stroke="none" d="M0 0h24v24H0z"/>
            <path d="M14 3v4a1 1 0 0 0 1 1h4" />
            <path d="M17 21h-10a2 2 0 0 1 -2 -2v-14a2 2 0 0 1 2 -2h7l5 5v11a2 2 0 0 1 -2 2z" />
            <line x1="12" y1="11" x2="12" y2="17" />
            <polyline points="9 14 12 17 15 14" />
          </svg>
          Download as PDF
        </button>
      </form>
    </span>
  </div>

  <div class="card-body">
    <div class="card">
      <div class="card-header">
        <h3 class="card-title">Reference Data</h3>
      </div>
      <div class="table-responsive">
        <table class="table table-striped table-vcenter card-table">
          <tbody>
            {% for key,value in initial_data.get_fields %}
            {% if key != "Accession number" and key != "Patient ID" %}
            {% cycle "<tr>" "" %}
            <th socpe="row">{{ key }}</th>
            <td>
              {% if key == 'Enter date' or key == 'Exit date' %}
              {{ value | date:"M d, Y" }} <small>({{ value | date:"d/m/Y" }})</small>
              {% elif key == "Report type" %}
              {{ initial_data.report_type }}
              {% else %}
              {{ value | default_if_none:"" | capfirst }}
              {% endif %}
            </td>
            {% cycle "" "</tr>" %}
            {% endif %}
            {% endfor %}
          </tbody>
        </table>
      </div>

      <div class="card-footer">
        <form method="POST">
          {% csrf_token %}
          <input type="hidden" name="patient_id" value={{ patient.id }}>

          <span class="d-flex">
            <button class="btn btn-warning ml-auto" type="submit" name="submit" value="initial-data-edit">
              <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-edit" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
                <path stroke="none" d="M0 0h24v24H0z"/>
                <path d="M9 7 h-3a2 2 0 0 0 -2 2v9a2 2 0 0 0 2 2h9a2 2 0 0 0 2 -2v-3" />
                <path d="M9 15h3l8.5 -8.5a1.5 1.5 0 0 0 -3 -3l-8.5 8.5v3" />
                <line x1="16" y1="5" x2="19" y2="8" />
              </svg>
              Edit
            </button>
          </span>
        </form>
      </div>
    </div>

    <div class="card">
      <div class="card-header">
        <h3 class="card-title">Diagnosis Data</h3>
      </div>

      <div class="table-responsive">
        <table class="table table-striped table-vcenter card-table">
          <tbody>
            <tr>
              <th socpe="row">Clinical data</th>
              <td>
                {{ general_data.clinical_data | default_if_none:"" | capfirst }}
              </td>

              <th socpe="row">Specimen</th>
              <td>
                {{ general_data.specimen | default_if_none:"" | capfirst }}
              </td>
            </tr>

            <tr>
              <th socpe="row">Macroscopy</th>
              <td>
                {{ general_data.macroscopy | default_if_none:"" | capfirst }}
              </td>

              <th socpe="row">Microscopy</th>
              <td>
                {{ general_data.microscopy | default_if_none:"" | capfirst }}
              </td>
            </tr>

            <tr>
              <th socpe="row">Module</th>
              <td>
                {{ general_data.module_name }}
                {{ general_data.sub_module }}
              </td>

              <th socpe="row">Report type</th>
              <td>
                {% if general_data.synoptic_stat %}
                Synoptic
                {% else %}
                Non-synoptic
                {% endif %}
              </td>
            </tr>

            {% for key,value in report.get_fields %}
            {% if key != 'acc no' and key != 'patient id' and 'other' not in key %}
            {% cycle "<tr>" "" %}
              {% if key == "Diagnosis" %}
              <th socpe="row" style="vertical-align:top">{{ key | capfirst }}</th>
              {% else %}
              <th socpe="row">{{ key | capfirst }}</th>
              {%endif %}

              <td>
                {% if key == "Diagnosis" %}
                {{ value | safe | default_if_none:"" }}
                {% elif key == "Report type" %}
                {{ initial_data.report_type }}
                {% else %}
                {{ value | default_if_none:"" | capfirst }}
                {% endif %}
              </td>
              {% cycle "" "</tr>" %}
              {% endif %}
              {% endfor %}
          </tbody>
        </table>
      </div>

      <div class="card-footer">
        <form method="POST">
          {% csrf_token %}
          <span class="d-flex">
            <button class="btn btn-warning ml-auto" type="submit" name="submit" value="report-edit">
              <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-edit" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
                <path stroke="none" d="M0 0h24v24H0z"/>
                <path d="M9 7 h-3a2 2 0 0 0 -2 2v9a2 2 0 0 0 2 2h9a2 2 0 0 0 2 -2v-3" />
                <path d="M9 15h3l8.5 -8.5a1.5 1.5 0 0 0 -3 -3l-8.5 8.5v3" />
                <line x1="16" y1="5" x2="19" y2="8" />
              </svg>
              Edit
            </button>
          </span>
        </form>
      </div>
    </div>
  </div>

  <div class="card-footer">
    <form method="POST">
      {% csrf_token %}
      <input type="hidden" name="patient_id" value={{ patient.id }}>

      <span class="d-flex">
        <button class="btn btn-danger mr-2 ml-auto" type="submit" name="submit" value="report-delete">
          <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-trash" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
            <path stroke="none" d="M0 0h24v24H0z"/>
            <line x1="4" y1="7" x2="20" y2="7" />
            <line x1="10" y1="11" x2="10" y2="17" />
            <line x1="14" y1="11" x2="14" y2="17" />
            <path d="M5 7l1 12a2 2 0 0 0 2 2h8a2 2 0 0 0 2 -2l1 -12" />
            <path d="M9 7v-3a1 1 0 0 1 1 -1h4a1 1 0 0 1 1 1v3" />
          </svg>
          Delete
        </button>
      </span>
    </form>
  </div>
</div>

{% endblock content %}
